[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FppWrite

Positional write: write to file descriptor at a certain position.

## Declaration

Source position: line 0

`function FpPWrite(`
`fd: cint;`
`buf: PChar;`
`nbytes: TSize;`
`offset: TOff`
`):TsSize; function FppWrite(`
`fd: cint;`
`const buf;`
`nbytes: TSize;`
`offset: TOff`
`):TsSize;`

## Description

FpPWrite writes nbytes bytes from buffer buf into file descriptor fd starting at offset offset. Offset is measured from the start of the file. This function can only be used on files, not on pipes or sockets (i.e. any seekable file descriptor).

The function returns the number of bytes actually written, or -1 on error.

## Errors

On error, -1 is returned.

## See also

FpPRead |  | Positional read: read from file descriptor at a certain position.
FpWriteV |  | Vector write: Write from multiple buffers to a file descriptor

Documentation generated on: Feb 26 2014